---
header-includes:
  - \usepackage[T1]{fontenc}
  - \usepackage[french]{babel}
  - \usepackage{datetime}
  - \usepackage{hyperref}
---

# Semaine 5: Systèmes experts à base de cas

## Raisonnement à partir de cas (Renaud 2007)

### Introduction
- Développés à partir des années 1980 par les travaux de Schank et Kolodner
- Raisonnement par analogie
- Domaines:
    - Aide à la décision 
    - Planification
    - Ordonnancement
    - Aide à la conception
- Décrire le vocabulaire permettant de décrire les cas avec une ontologie
- Laisser les experts donner des exemples de problèmes résolus au lieu de leur demander de décrire leur expertise sous forme abstraite
- Période d'amorçage, puis apprentissage à mesure que de nouveaux cas sont résolus.
- Cas: 
    - représentation d'un épisode de résolution de problèmes
    - Généralement exprimé par un problème et une solution
    - Unité de connaissance et non simplement une donnée
- Type de cas:
    - Leçons apprises
    - Meilleures pratiques d'un métier
    - Histoires symboliques
- Types de problème à résoudre:
    - Planification
        - État initial et but à atteindre
        - Solution: plan permettant de parcourir l'espace d'états
    - Décision
        - Solution: une décision
    - Configuration
    - Diganostic
    - Ordonnancement
- Étapes:
    - Élaboration
    - Remémorisation: sélectionner un cas source
    - Adaptation: raisonnement par analogie. classification = pas besoin de cette étape, peut utiliser une moyenne ou autre mesure sur les K cas voisins
    - Validation
    - Mémorisation
- Similarité: Définie par une mesure de similarité, parfois besoin d'une ontologie pour représenter la connaissance du domaine
- Conception:
    - Acquisition des connaissances
        - Choix d'un mode de représentation
    - Choisir les étapes à implanter
    - Maintenance de la base de cas
- Formalismes:
    - Représentation des connaissances par objets
    - Théorie des sous-ensembles flous
    - Théorie des possibilités
    - Langages de modélisation graphique et textuels
    - Systèmes multi-agents
    - Systèmes neuromimétiques

### Chapitre 4: le système RECRE

- Développé chez Hydro-Québec pour la remise en charge du réseau.
- Un plan est nécessaire selon les organismes de réglementation
- Difficulté liée au fait que le réseau est grand et la tension très élevée
- Les équipements nécessaires ne sont pas toujours disponibles dépendant de la période de l'année
- Capitaliser le patrimoine de connaissances accumulées avant le départ des experts du domaine
- Problème de planification